> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich person data

> Enrich person data using People Data Labs API



## OpenAPI

````yaml api-reference/openapi.yaml post /enrichPerson
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /enrichPerson:
    post:
      summary: Enrich person data
      description: Enrich person data using People Data Labs API
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                full_name:
                  type: string
                first_name:
                  type: string
                last_name:
                  type: string
                company:
                  type: string
                location:
                  type: string
                phone:
                  type: string
                profile:
                  type: string
      responses:
        '200':
          description: Person enrichment successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                      - error
                      - not_found
                  data:
                    type: object
                  error:
                    type: string
                  source:
                    type: string
        '500':
          description: Enrichment failed
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````